Create task
curl --request POST \
--url https://api.clientcommander.com/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Follow up on property showing",
"description": "Call to discuss feedback",
"dueDate": "2023-11-20T14:00:00Z",
"priority": "high",
"personId": "jd79abc123"
}
'import requests
url = "https://api.clientcommander.com/v1/tasks"
payload = {
"title": "Follow up on property showing",
"description": "Call to discuss feedback",
"dueDate": "2023-11-20T14:00:00Z",
"priority": "high",
"personId": "jd79abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Follow up on property showing',
description: 'Call to discuss feedback',
dueDate: '2023-11-20T14:00:00Z',
priority: 'high',
personId: 'jd79abc123'
})
};
fetch('https://api.clientcommander.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"data": {
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"priority": "medium",
"completedAt": "2023-11-07T05:31:56Z",
"personId": "<string>",
"assignedTo": "<string>"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "Missing required parameter",
"details": [
{
"field": "personId",
"message": "Required field is missing",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"details": [
{
"field": "email",
"message": "Must be a valid email address",
"code": "INVALID_FORMAT"
},
{
"field": "phone",
"message": "Phone number is required",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}Tasks
Create Task
Create a new task with optional contact association.
POST
/
v1
/
tasks
Create task
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Body
application/json
⌘I

